System.ServiceModel 4.0.0.0 System.Enum

This enumeration is used by to specify the type of client credential to be used for authentication.

Note that if is set to , then the value of is ignored.

Enumerates the valid credential types for HTTP clients.

- Field
  4.0.0.0
  System.ServiceModel.HttpClientCredentialType

  Specifies Basic authentication. For more information, see RFC 2617 – HTTP Authentication: Basic and Digest Authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpClientCredentialType

  Specifies client authentication using a certificate.

- Field
  4.0.0.0
  System.ServiceModel.HttpClientCredentialType

  Specifies Digest authentication. For more information, see RFC 2617 – HTTP Authentication: Basic and Digest Authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpClientCredentialType

  The authentication is inherited from the host.

- Field
  4.0.0.0
  System.ServiceModel.HttpClientCredentialType

  Specifies anonymous authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpClientCredentialType

  Specifies client authentication using NTLM.

- Field
  4.0.0.0
  System.ServiceModel.HttpClientCredentialType

  Specifies client authentication using Windows.